<elements>
  <summary>To be added.</summary>
  <remarks>To be added.</remarks>
  <class name="AutoLayoutTypesShouldNotBeComVisibleRule" fullname="Gendarme.Rules.Interoperability.Com.AutoLayoutTypesShouldNotBeComVisibleRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks for <c>[System.Runtime.InteropServices.ComVisible]</c> decorated value 
             types which have <c>[System.Runtime.InteropServices.StructLayout]</c> attribute set to 
             <c>System.Runtime.InteropServices.LayoutKind</c>.<c>Auto</c> because auto layout can 
             change between Mono and .NET or even between releases of the .NET/Mono frameworks.
             Note that this does not affect <c>System.Enum</c>-based types.
             </summary>
    <remarks>
             Rule applies only when the containing assembly has ComVisible attribute explicitly set to false 
             and the type has ComVisible attribute explicitly set to true.
             </remarks>
  </class>
  <class name="AvoidInt64ArgumentsInComVisibleMethodsRule" fullname="Gendarme.Rules.Interoperability.Com.AvoidInt64ArgumentsInComVisibleMethodsRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks that ComVisible methods do not take System.Int64 arguments
             because Visual Basic 6 clients do not support it.
             </summary>
    <remarks>
             Rule applies only when the containing assembly has ComVisible attribute explicitly set to false 
             and the type has ComVisible attribute explicitly set to true.
             </remarks>
  </class>
  <class name="AvoidNonPublicFieldsInComVisibleValueTypesRule" fullname="Gendarme.Rules.Interoperability.Com.AvoidNonPublicFieldsInComVisibleValueTypesRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks for ComVisible value types which contain fields that are non-public.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="AvoidOverloadsInComVisibleInterfacesRule" fullname="Gendarme.Rules.Interoperability.Com.AvoidOverloadsInComVisibleInterfacesRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks for ComVisible interface which contains overloaded methods.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="AvoidStaticMembersInComVisibleTypesRule" fullname="Gendarme.Rules.Interoperability.Com.AvoidStaticMembersInComVisibleTypesRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             COM visible types should not contain static methods because they are
             not supported by COM
             </summary>
    <remarks>
             This rule ignores methods marked with ComRegisterFunctionAttribute or ComUnregisterFunctionAttribute attributes. 
             Rule applies only when the containing assembly has ComVisible attribute explicitly set to false 
             and the type has ComVisible attribute explicitly set to true.</remarks>
  </class>
  <class name="ComRocks" fullname="Gendarme.Rules.Interoperability.Com.ComRocks" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             ComRocks contains extensions methods for COM-related methods.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="ComVisibleShouldInheritFromComVisibleRule" fullname="Gendarme.Rules.Interoperability.Com.ComVisibleShouldInheritFromComVisibleRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks that the base type of COM visible types is also 
             visible from COM. This is needed reduce the chance of breaking 
             COM clients as COM invisible types do not have to follow COM versioning rules.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="ComVisibleTypesShouldBeCreatableRule" fullname="Gendarme.Rules.Interoperability.Com.ComVisibleTypesShouldBeCreatableRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks for ComVisible reference types which have a public parameterized constructor, 
             but lack a default public constructor.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="DoNotUseAutoDualClassInterfaceTypeRule" fullname="Gendarme.Rules.Interoperability.Com.DoNotUseAutoDualClassInterfaceTypeRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             Classes should not use ClassInterfaceAttribute with the value of 
             ClassInterfaceType.AutoDual because this may break COM clients
             if the class layout changes.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="MarkComSourceInterfacesAsIDispatchRule" fullname="Gendarme.Rules.Interoperability.Com.MarkComSourceInterfacesAsIDispatchRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             When a type is marked with the ComSourceInterfacesAttribute, every specified interface must
             be marked with a InterfaceTypeAttribute set to ComInterfaceType.InterfaceIsIDispatch.
             </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="ReviewComRegistrationMethodsRule" fullname="Gendarme.Rules.Interoperability.Com.ReviewComRegistrationMethodsRule" assembly="Gendarme.Rules.Interoperability.Com">
    <summary>
             This rule checks the correctness of COM register and unregister methods,
             i.e. they should not be externally visible and they should be matched 
             (both or none of them should exist ).
             </summary>
    <remarks>To be added.</remarks>
  </class>
</elements>